#
# spec file for package wmakerconf (Version 2.6.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  WindowMaker WindowMaker-devel autoconf bzip glib glib-devel gtk gtk-devel hermes hermes-devel imlib imlib-config imlib-devel libPropList libPropList-devel libjpeg libmpeg libpng libtiff libungif libz lynx wget xf86 xpm
# usedforbuild    WindowMaker WindowMaker-devel aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip hermes hermes-devel imlib imlib-config imlib-devel kbd less libPropList libPropList-devel libjpeg libmpeg libpng libtiff libtool libungif libz lynx m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim wget xdevel xf86 xshared

Name:         wmakerconf
Copyright:    GPL
Group:        X11/Window Managers 
Obsoletes:    wmaconf 
Requires:     lynx wget WindowMaker
Autoreqprov:  on
Summary:      Configuration tool for WindowMaker
Version:      2.6.1
Release:      208
Source:       wmakerconf-2.6.1.tar.gz
Source1:      wmakerconf-2.6.1-ko.po
Source2:      wmakerconf-data-2.6.1-ko.po
Patch:        wmakerconf-2.6.1.dif
Patch1:       wmakerconf-2.6.1.ko.diff
Patch2:       wmakerconf-2.6.1-themesdir.patch
Patch3:       wmakerconf-2.6.1-destdir.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Wmakerconf is a GTK+ based configuration tool for Window Maker.

Authors:
--------
    Ullrich Hafner <hafner@bigfoot.de>

SuSE series: xwm

%prep
%setup -n wmakerconf-2.6.1
%patch
%patch1 -p1
%patch2
%patch3
# ---------------------------------------------------------------------------
cp -f %SOURCE1 po/ko.po
cp -f %SOURCE2 data/po/ko.po

%build
./configure --prefix=/usr/X11R6 \
            --exec-prefix=/usr/X11R6 \
				--sysconfdir= /etc \
				--with-nlsdir=/usr/share/locale \
            --with-pixmapdir=/usr/X11R6/share/WindowMaker/Pixmaps
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1 README TODO
/usr/X11R6/bin/mkpreview
/usr/X11R6/bin/wmakerconf
/usr/X11R6/share/wmakerconf
/usr/X11R6/share/locale/ca/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/da/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/de/LC_MESSAGES/wmakerconf-data.mo
/usr/X11R6/share/locale/de/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/fi/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/fr/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/hu/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/it/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/ja/LC_MESSAGES/wmakerconf-data.mo
/usr/X11R6/share/locale/ja/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/ko/LC_MESSAGES/wmakerconf-data.mo
/usr/X11R6/share/locale/ko/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/no/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/pl/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/pt_BR/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/ru/LC_MESSAGES/wmakerconf.mo
/usr/X11R6/share/locale/sv/LC_MESSAGES/wmakerconf.mo

%changelog -n wmakerconf
* Mon Jun 25 2001 - nadvornik@suse.cz
- added buildroot
- added correct path for windowmaker themes
* Thu Jun 21 2001 - ro@suse.de
- added imlib and hermes to neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Thu Jan 25 2001 - violiet@suse.de
- added wmakerconf-data Korean translation.
- improvement wmakerconf Korean translation.
* Fri Nov 17 2000 - kukuk@suse.de
- fixed Requires for WindowMaker
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri May 19 2000 - choeger@suse.de
- updated to version 2.6.1
* Wed Mar 08 2000 - ro@suse.de
- fixed segfault
* Fri Dec 03 1999 - ray@suse.de
- update to 2.3
* Mon Oct 25 1999 - ro@suse.de
- switched to libungif
* Thu Sep 23 1999 - choeger@suse.de
- new version 2.2
* Tue Sep 21 1999 - ro@suse.de
- added proplst, proplstd to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jun 24 1999 - ray@suse.de
- update to 2.1
* Wed Apr 28 1999 - ray@suse.de
- new package version 1.99.4
